com.tibbo.aggregate.common.filter

## Class AbstractBooleanBinaryOperation

- java.lang.Object
- - com.tibbo.aggregate.common.filter.Operation
  - - com.tibbo.aggregate.common.filter.BinaryOperation
    - - com.tibbo.aggregate.common.filter.AbstractBaseBinaryOperation
      - - com.tibbo.aggregate.common.filter.AbstractBooleanBinaryOperation

- All Implemented Interfaces:
    Expression
  Direct Known Subclasses:
    LogicalAndOperation, LogicalOrOperation

      public abstract class AbstractBooleanBinaryOperation
      extends AbstractBaseBinaryOperation

- - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.filter.BinaryOperation

      `operand1, operand2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBooleanBinaryOperation(java.lang.String name, Expression operand1, Expression operand2)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `validateOperandType(java.lang.Object value)`

    - ### Methods inherited from class com.tibbo.aggregate.common.filter.AbstractBaseBinaryOperation

      `evaluateOperands, getPriority`

    - ### Methods inherited from class com.tibbo.aggregate.common.filter.BinaryOperation

      `binaryEvaluation, evaluate, getChildren, getOperandCount`

    - ### Methods inherited from class com.tibbo.aggregate.common.filter.Operation

      `getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.filter.Expression

      `getDescription`

- - ### Constructor Detail

    - #### AbstractBooleanBinaryOperation

          public AbstractBooleanBinaryOperation(java.lang.String name,
                                                Expression operand1,
                                                Expression operand2)

  - ### Method Detail

    - #### validateOperandType

          protected void validateOperandType(java.lang.Object value)

      Specified by:
        `validateOperandType` in class `AbstractBaseBinaryOperation`